Devices/platforms Hopster no longer supports

Hopster no longer supports the following devices and/or platforms:

  • Freesat 
  • EE Robin
  • Panasonic TV
  • Samsung TV
  • Maxis
  • iPad 4th gen and older
  • iPhone 4S and older
  • iPod Touch 3rd gen and older
  • Apple TV 1st and 2nd gen
  • Amazon Fire Tablets 4th gen and older
  • Android devices running Android OS 4.1 or older

Did you find this article helpful?